Bug 517752 - ksoftirqd goes crazy, almost freezing system, after clicking a link on a certain webpage
Summary: ksoftirqd goes crazy, almost freezing system, after clicking a link on a cert...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: http://www.britishgas.co.uk/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 16:28 UTC by Robin Green
Modified: 2010-11-08 20:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 20:58:58 UTC


Attachments (Terms of Use)

Description Robin Green 2009-08-16 16:28:14 UTC
Description of problem:
When I click a certain link in firefox, the machine starts running like treacle. With some struggle I managed to run top and see that software interrupts (si) handling are pegged at around 99% CPU, and ksoftirqd is the top process.

Version-Release number of selected component (if applicable):
2.6.31-0.125.4.2.rc5.git2.fc12.i686.PAE

How reproducible:
3 times out of 3

Steps to Reproduce:
1. Go to URL above in firefox
2. Click the green "Login" button
  
Actual results:
X appears to freeze

Expected results:
no freeze

Additional info:
Fedora is virtualised inside VirtualBox 3.0.4_OSE running on Mac OS X 10.5.8. I am running an X server (Xephyr) on the Mac OS X host and using that as the X server for firefox.

The URL above contains Flash, which is run by (I think) swfdec, or anyway, *something* running in nspluginviewer. So maybe it's nspluginviewer that's causing this - other web pages don't seem to have this problem.

Comment 1 Adam Williamson 2009-11-10 16:06:05 UTC
Can't reproduce this here; I'm using Adobe Flash, though.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2009-11-16 11:29:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:29:20 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Robin Green 2010-11-08 20:58:58 UTC
swfdec can no longer render the Flash on that page on my machine, so I can't reproduce the original conditions that led to this bug. Closing.


Note You need to log in before you can comment on or make changes to this bug.